import { BaseEntity } from "typeorm";
import { MasterTask } from "../master-task/master-task.entity";
declare const SlaveTask_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof BaseEntity;
export declare class SlaveTask extends SlaveTask_base {
    masterTask: MasterTask;
    label: string;
    blockNumber: number;
    pid: number;
    data: string;
    panic: boolean;
    active: boolean;
    cron: string;
    config: string;
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
